PoolProperties.InterceptorDefinition (Apache Tomcat 9.0.111 API Documentation)
Description: declaration: package: org.apache.tomcat.jdbc.pool, class: PoolProperties, class: InterceptorDefinition

# Class PoolProperties.InterceptorDefinition

java.lang.Object
org.apache.tomcat.jdbc.pool.PoolProperties.InterceptorDefinition

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `PoolProperties`

public static class PoolProperties.InterceptorDefinition extends Object implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `className`
  `protected Class<?>`
  `clazz`
  `protected Map<String, PoolProperties.InterceptorProperty>`
  `properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InterceptorDefinition(Class<?> cl)`
  `InterceptorDefinition(String className)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addProperty(String name, String value)`
  `void`
  `addProperty(PoolProperties.InterceptorProperty p)`
  `String`
  `getClassName()`
  `Class<? extends JdbcInterceptor>`
  `getInterceptorClass()`
  `Map<String, PoolProperties.InterceptorProperty>`
  `getProperties()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### className

    protected String className

  - ### properties

    protected Map<String, PoolProperties.InterceptorProperty> properties

  - ### clazz

    protected volatile Class<?> clazz

- ## Constructor Details

  - ### InterceptorDefinition

    public InterceptorDefinition(String className)

  - ### InterceptorDefinition

    public InterceptorDefinition(Class<?> cl)

- ## Method Details

  - ### getClassName

    public String getClassName()

  - ### addProperty

    public void addProperty(String name, String value)

  - ### addProperty

    public void addProperty(PoolProperties.InterceptorProperty p)

  - ### getProperties

    public Map<String, PoolProperties.InterceptorProperty> getProperties()

  - ### getInterceptorClass

    public Class<? extends JdbcInterceptor> getInterceptorClass() throws ClassNotFoundException
    Throws:
      `ClassNotFoundException`